%global		gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global		gemname		mkrf
%global		geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%global		rubyabi		1.8

Summary:	Making C extensions for Ruby a bit easier
Name:		rubygem-%{gemname}
Version:	0.2.3
Release:	4%{?dist}
Group:		Development/Languages
License:	MIT
URL:		http://mkrf.rubyforge.org/
Source0:	http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		ruby(abi) = %{rubyabi}
BuildRequires:		ruby(rubygems)
# For %%check
BuildRequires:	rubygem(rake)
BuildRequires:	libxml2-devel
BuildRequires:	ruby-devel
Requires:		ruby(abi) = %{rubyabi}
BuildRequires:		ruby(rubygems)
BuildArch:		noarch
Provides:		rubygem(%{gemname}) = %{version}-%{release}

%description
mkrf is a library for generating Rakefiles to build Ruby
extension modules written in C. It is intended as a replacement for
mkmf. The major difference between the two is that mkrf
builds you a Rakefile instead of a Makefile.

This proposed replacement to mkmf generates Rakefiles to build C Extensions.

%package	doc
Summary:	Documentation for %{name}
# Some test files are under GPLv2+
License:	MIT and GPLv2+
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
gem install \
	--local \
	--install-dir $(pwd)%{gemdir} \
	--force \
	--rdoc \
	-V \
	%{SOURCE0}

find . -name \*.gem -or -name \*.rb | xargs chmod 0644

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

%clean
rm -rf %{buildroot}

%check
# Some tests fails, needs checking
export GEM_PATH=$(pwd)/%{gemdir}
pushd .%{geminstdir}

rake -P | grep 'rake test:' | grep -v 'sample:all' | while read line
do
	eval $line --trace || true
done

popd

%files
%defattr(-,root,root,-)
%dir %{geminstdir}
%doc %{geminstdir}/[A-Z]*
%exclude %{geminstdir}/Rakefile
%{geminstdir}/lib/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/test/
%{gemdir}/doc/%{gemname}-%{version}/

%changelog
* Mon Feb 14 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-4
- F-15 mass rebuild

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-3
- F-12: Mass rebuild

* Thu Jul  9 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-2
- Improve indentation
- Make sure gem is installed with proper permission

* Sat Jun 27 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-1
- Initial package
